/****************************************************************************************************************************************************
 *
 *
 *	Dave Hill - 2014 / 2015
 *         API - unofficial
 *	Contact me : dave-hill@dyrk.org
 *	You 've got my Debridor for chrome here: https://chrome.google.com/webstore/detail/viadeo-premium/kjhfepegplcgpmencdhkdojajajddaka?hl=fr
 *
 *****************************************************************************************************************************************************/
ViadeoAPI = function() {

    this.fixedEncodeURIComponent = function(str) {
        return encodeURIComponent(str).replace(/[!'()]/g, escape).replace(/\*/g, "%2A");
    }

    this.isObject = function(val) {
        if (val === null) {
            return false;
        }
        return ((typeof val === 'function') || (typeof val === 'object'));
    }

    this.RecursifDebug = function(Obj) {
        var obj = Obj,
            html = '';
        html = "<ul>";
        if (this.isObject(obj))
            for (i in obj) {
                var item = obj[i];
                html += "<li>" + i + " : " + item + this.RecursifDebug(item) + "</li>";
            }
        html += "</ul>";
        return html;
    }

    this.connect = function(login, password) {
        var test = this;
        $.getJSON("api_viadeo.php?login=" + login + "&password=" + password, function(data) {});
    }

    this.getContact = function(contact) {
        var test = this;
        $.getJSON("api_viadeo.php?type=contact&contact=" + contact, function(data) {
            data = data.data;
            document.write(test.RecursifDebug(data));
        });
    }


    this.getBookList = function() {
        var test = this;
        $.getJSON("api_viadeo.php?type=contact_list", function(data) {
            data = data.contacts;
            document.write(test.RecursifDebug(data));
        });
    }

}
