<?php
/*****************************************************
*						     *
*		   v 2.0  			     *
*		 API VIADEO			     *
*		http://dyrk.org			     *
*		 by Dave Hill			     *
*						     *
*****************************************************/




session_start();

class api_viadeo{
	private $login;
	private $password;
	private $connexion = array();

	private function Request($url, $fields){
		$fields_string = "";
	        foreach($fields as $key=>$value) { $fields_string .= $key.'='.$value.'&'; }
        	rtrim($fields_string, '&');
        	$ch = curl_init();
        	curl_setopt($ch, CURLOPT_URL            , $url);
        	if ($fields){
                	curl_setopt($ch, CURLOPT_POST           , count($fields));
                	curl_setopt($ch, CURLOPT_POSTFIELDS     , $fields_string);
        	}
        	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER , FALSE);
        	curl_setopt($ch, CURLOPT_COOKIEFILE     , "cookie.txt");
        	curl_setopt($ch, CURLOPT_COOKIEJAR      , "cookie.txt");
        	curl_setopt($ch, CURLOPT_RETURNTRANSFER , 1);
        	curl_setopt($ch, CURLOPT_FOLLOWLOCATION , true);
        	$result = curl_exec($ch);
        	$datas = curl_getinfo($ch);
        	curl_close($ch);
        	return $result;
	}

	public function connect ($login, $password){
		$this->login     = $login;
		$this->password  = $password;
		$this->connexion = array( 'email' => $login, 'password' => $password, '_csrf' => '');
		$this->Request('https://secure.viadeo.com/fr/signin', $this->connexion);

	}
	public function getSingleContact($id){
        	return $this->Request('http://www.viadeo.com/v/miniProfile?memberId='.$_GET['contact'], array());

	}
	public function getAllContact(){
		return $this->Request('http://www.viadeo.com/r/addressbook/search/?type=contact&maxResults=2000&pageNumber=1', array());
	}

}



/**********************************************************************************
*
*			M A I N     *     C O D E
*
**********************************************************************************/

if (isset($_GET['login']) && isset($_GET['password']))	
	$_SESSION = array('login'=> $_GET['login'], 'password' => $_GET['password']);
else 
	if (! isset($_SESSION['login']) && ! isset($_SESSION['password'])) 
		exit;


$v = new api_viadeo();
$v->connect($_SESSION['login'], $_SESSION['password']);

if (isset($_GET['contact']) && ! empty($_GET['contact']))
	echo $v->getSingleContact($_GET['contact']);
else
	echo $v->getAllContact();




?>
